Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gdbm
Version:	1.8.3
Release:	4
License:	GNU/GPL
URL:		http://www.gnu.org/software/gdbm/gdbm.html
Group:		Databases
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-Makefile.in.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a database indexing library.

Prereq(post,preun): /sbin/install-info

Obsoletes:	%{name}-man < %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
gdbm is a database indexing library replacement for the traditional 'dbm' and 'ndbm' libraries.
gdbm is useful for those who need to write C applications and need access to a simple and efficient database.
For more details see: http://www.gnu.org/software/gdbm/gdbm.html

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.


%post
/sbin/install-info %_infodir/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database." || :
ldconfig

%preun
/sbin/install-info --delete %_infodir/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database." || :
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-compat DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_mandir
%_infodir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 25 2009 Christian Wasem <wasem@ccux-linux.de> 1.8.3-4
- rebuild for compat files
* Wed Oct 10 2007 Christian Metzen <metzench@ccux-linux.de> 1.8.3-3
- corrected package group
* Fri Nov 18 2005 Christian Wasem <wasem@ccux.linux.de> 1.8.3-2
- rebuilt, removed wrong Obsoletes-Tag, added info install
- removed man package
* Sun Nov 21 2004 Christian Wasem <wasem@ccux.linux.de> 1.8.3-1
- Initial Release  
